#!/usr/bin/env python

# Setup script for Quixote

__revision__ = "$Id: setup.py,v 1.23 2002/10/03 15:06:37 gward Exp $"

import os
from distutils.core import setup
from qx_distutils import qx_build_py

setup (name = "Quixote",
       version = "0.5.1",
       description = "A highly Pythonic Web application framework",
       author = "MEMS Exchange",
       author_email = "quixote@mems-exchange.org",
       url = "http://www.mems-exchange.org/software/python/quixote/",

       package_dir = {'quixote':os.curdir},
       packages = ['quixote',  'quixote.demo', 'quixote.form',
                   'quixote.server'],

       cmdclass = {'build_py': qx_build_py},
      )

 
